//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace PNG.Model
{
    using System;
    using System.Collections.Generic;
    
    public partial class Pickup_Request
    {
        public string applicationid { get; set; }
        public string enterpriseid { get; set; }
        public int booking_no { get; set; }
        public Nullable<System.DateTime> booking_datetime { get; set; }
        public string booking_type { get; set; }
        public string new_account { get; set; }
        public string payerid { get; set; }
        public string payer_type { get; set; }
        public string payer_name { get; set; }
        public string payer_address1 { get; set; }
        public string payer_address2 { get; set; }
        public string payer_zipcode { get; set; }
        public string payer_country { get; set; }
        public string payer_telephone { get; set; }
        public string payer_fax { get; set; }
        public string payment_mode { get; set; }
        public string sender_name { get; set; }
        public string sender_address1 { get; set; }
        public string sender_address2 { get; set; }
        public string sender_zipcode { get; set; }
        public string sender_country { get; set; }
        public string sender_contact_person { get; set; }
        public string sender_telephone { get; set; }
        public string sender_fax { get; set; }
        public Nullable<System.DateTime> req_pickup_datetime { get; set; }
        public Nullable<System.DateTime> act_pickup_datetime { get; set; }
        public string payment_type { get; set; }
        public Nullable<int> tot_pkg { get; set; }
        public Nullable<decimal> tot_wt { get; set; }
        public Nullable<decimal> tot_dim_wt { get; set; }
        public Nullable<decimal> cash_amount { get; set; }
        public Nullable<decimal> cash_collected { get; set; }
        public string special_rates { get; set; }
        public string latest_status_code { get; set; }
        public string latest_exception_code { get; set; }
        public Nullable<System.DateTime> latest_status_datetime { get; set; }
        public string remark { get; set; }
        public string quotation_no { get; set; }
        public Nullable<int> quotation_version { get; set; }
        public Nullable<decimal> esa_pickup_surcharge { get; set; }
        public string pickup_route { get; set; }
    
        public virtual Enterprise Enterprise { get; set; }
    }
}
